Bug 205138 - Review Request: libjingle - GoogleTalk implementation of Jingle
Review Request: libjingle - GoogleTalk implementation of Jingle
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-04 12:41 EDT by Brian Pepple
Modified: 2008-04-23 12:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 18:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-09-04 12:41:33 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/libjingle.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/libjingle-0.3.10-1.src.rpm
Description: Libjingle is Google Talk's implementation of Jingle and Jingle-Audio
(proposed extensions to XMPP) to interoperate with Google Talk's
peer-to-peer and voice calling capabilities.
Comment 1 Paul F. Johnson 2006-09-04 16:39:56 EDT
rpmlint output
srpm
W: mixed-spaces-and-tabs (ignorable)

devel
W: no-documentation (ignorable)

mock builds fine

o you have something I can link this against to test it?
Comment 2 Brian Pepple 2006-09-04 17:30:48 EDT
Not yet.  Eventually, I'll be submitting farsight, but that will need some
additional packages.
Comment 3 Brian Pepple 2006-09-06 12:53:21 EDT
Is this going to get a review?  If not, this should remain FE-NEW so others can
pick it up if they wish.
Comment 4 Paul F. Johnson 2006-09-06 13:02:20 EDT
Had machine problems last night - I'll review it later today
Comment 5 Paul F. Johnson 2006-09-10 11:19:32 EDT
Review

Good

Consistent use of macros
Software compiles happily in mock with no errors in rpmlint
Installs fine
Spec in US English and UTF-8
No permissions problems
No dupes in the rpms
Upstream tarball matches dist tarball md5
Includes documentation
No .a or .la files in the rpms

Minor - not a blocker, but it makes things easier on the eye
%{_libdir}/pkgconfig/jinglebase-0.3.pc
%{_libdir}/pkgconfig/jinglep2p-0.3.pc
%{_libdir}/pkgconfig/jinglesession-0.3.pc
%{_libdir}/pkgconfig/jinglexmllite-0.3.pc
%{_libdir}/pkgconfig/jinglexmpp-0.3.pc

Can be globbed - %{_libdir}/pkgconfig/jingle*.pc

I'm unable to test the code with anything extensive, but a simple bit of C
showed that it would link and do as it's told.

APPROVED
Comment 6 Brian Pepple 2008-04-23 11:39:39 EDT
Package Change Request
======================
Package Name: libjingle
New Branches: OLPC2
Updated Fedora Owners: gdesmott bpepple
Comment 7 Jason Tibbitts 2008-04-23 12:21:17 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.